"""
@author: luojunhui
"""
from config import daily_video


async def insert(db_client, params, request_id):
    """

    :return:
    """
    try:
        video_id = params['video_id']
        title = params['title']
        return_cnt = params['last_day_return']
        uid = params['uid']
        view_cnt = params['last_day_view']
        share_cnt = params['last_day_share']
        category = params['category']
        dt = params['dt']
    except Exception as e:
        response = {
            "error": str(e),
            "message": "params check failed",
            "requestId": request_id
        }
        return response

    insert_sql = f"""
    INSERT INTO {daily_video}
    (video_id, uid, title, return_cnt, view_cnt, share_cnt, category, ros, rov, dt)
    values
    (%s, %s, %s, %s, %s, %s, %s, %s, %s, %s);
    """
    try:
        await db_client.asyncInsert(
            insert_sql,
            params=(
                video_id,
                uid,
                title,
                return_cnt,
                view_cnt,
                share_cnt,
                category,
                float(int(return_cnt) / int(view_cnt)) if int(view_cnt) > 0 else 0,
                float(int(return_cnt) / int(share_cnt)) if int(share_cnt) > 0 else 0,
                dt
            )
        )
        response = {
            "info": "success",
            "requestId": request_id
        }
    except Exception as e:
        response = {
            "error": str(e),
            "requestId": request_id
        }
    return response
